<?php
/**
 * some examples - how to use the BC2Conn class
 *
 * this file requires BC2Conn >= v1.03-Update1
 *
 * project page: http://bc2conn.sf.net/
 * board       : http://bc2conn.sf.net/board/
 * API         : http://bc2conn.sf.net/API/
 *
 * live demo of this script: http://bc2conn.sf.net/demo/
 *
 * contact     : JLN@hush.ai
 *
 * $Id: example.php 15 2010-06-10 16:05:40Z jlnnn $
 */

// include the class file
include ("BC2Conn.php");

// opens a connection to gameserver
$BC2Conn = new BC2Conn("127.0.0.1", 48888);

if (!$BC2Conn->isConnected()) {
	echo "Connection could not be established. " .
	"To debug, set '-d' as 3rd parameter to new connection.<br />" .
	"<br />" .
	"Example: \$BC2Conn = new BC2Conn(\"127.0.0.1\", 48888, \"-d\");";

	return 0; // stop executing this script
}

// secure login
$BC2Conn->loginSecure("yourRconPassword");

// unsecure login (not salted)
//$BC2Conn->loginInsecure("yourRconPassword");

// some random serverinformation
echo "Server IP: " . $BC2Conn->getServerIP() . "<br />";
echo "Servername: " . $BC2Conn->getServerName() . "<br />";
echo "Players: " . $BC2Conn->getCurrentPlayers() . "/" . $BC2Conn->getMaxPlayers() . "<br />";
echo "Playmode: " . $BC2Conn->getCurrentPlaymodeName() . "<br />";
echo "Current Map: " . $BC2Conn->getCurrentMapName() . "<br /><br /><br /><u>Players:</u><br /><br />";

// playerlist
$playerNames = $BC2Conn->getPlayerlistNames();
foreach ($playerNames as $key => $content) {
	if ($BC2Conn->getPlayerClantag($content) != "") {
		echo "[" . $BC2Conn->getPlayerClantag($content) . "]";
	}
	echo " " . $BC2Conn->getPlayername($content) . " - Kills: ";
	echo $BC2Conn->getPlayerKills($content) . " | Deaths: ";
	echo $BC2Conn->getPlayerDeaths($content) . " | Score: ";
	echo $BC2Conn->getPlayerScore($content) . "<br />";
}

/*
 // change playmode and map and perform nextmap to save settings
 $BC2Conn->adminSetPlaylist("SQDM");
 $BC2Conn->adminMaplistClear();
 $BC2Conn->adminMaplistAppend("Levels/MP_006SDM"); // Arica Harbor
 $BC2Conn->adminMaplistSave();
 $BC2Conn->adminRunNextLevel();
 */

// say something as admin
//$BC2Conn->adminYellMessage("I'm testing BC2Conn PHP class - visit http://bc2conn.sf.net/ for more information!");

// get all available commands
//$BC2Conn->adminGetAllCommands();

// restart current map
//$BC2Conn->adminRestartMap();

// remove map index 3 from maplist and add a new one
//$BC2Conn->adminMaplistRemove(3);
//$BC2Conn->adminMaplistAppend("Levels/MP_003");

// set a new serverdescription
//$BC2Conn->adminVarSetServerDescription("Get the BC2Conn PHP class to administrate your Battlefield Bad Company 2 gameserver - visit http://bc2conn.sf.net/");

// kick a specific player
//$BC2Conn->adminKickPlayer("John Doe");

// ban a specific player permanently and view all bans by playername
//$BC2Conn->adminBanAddPlayername("John Doe");
//print_r($BC2Conn->adminBanlistList());

// turn off killcam
//$BC2Conn->adminVarSetKillCam(false);

// turn off friendly fire
//$BC2Conn->adminVarSetFriendlyFire(false);

// kills the player and moves him to the opponent team
//$BC2Conn->adminMovePlayerSwitchTeam("JLNNN", true);

// logout
$BC2Conn->logout();
?>